## org.eclipse.datatools.sqltools.sqlbuilder.views.update
Class UpdateTreeElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.update.UpdateTreeElement

    public class UpdateTreeElement

extends java.lang.Object

Constructor Summary
`UpdateTreeElement(QueryUpdateStatement update, UpdateSource updateSrc, ValueExpressionColumn col, SQLQueryObject valueSource, SQLDomainModel domainModel, boolean hasChildren)`

Method Summary
`java.lang.String` `getColumnText(int columnIndex)` Get the MOF object value
`ValueExpressionColumn` `getRDBColumn()`
`UpdateSource` `getUpdateSource()`
`QueryUpdateStatement` `getUpdateStatement()`
`boolean` `hasChildren()`
`void` `modify(java.lang.Object key, java.lang.Object propValue)`
`QueryValueExpression` `showExpressionBuilder(java.lang.Object obj, boolean isColumn, java.lang.String action)` Launch the expression builder

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateTreeElement

    public UpdateTreeElement(QueryUpdateStatement update,
                             UpdateSource updateSrc,
                             ValueExpressionColumn col,
                             SQLQueryObject valueSource,
                             SQLDomainModel domainModel,
                             boolean hasChildren)

Parameters:
  `update` - - the current full select statement
  `updateList` - - the AssignmentExpression that points to the current query statement

Method Detail

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

### getUpdateSource

    public UpdateSource getUpdateSource()

### getRDBColumn

    public ValueExpressionColumn getRDBColumn()

### hasChildren

    public boolean hasChildren()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

  Get the MOF object value

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object propValue)

### showExpressionBuilder

    public QueryValueExpression showExpressionBuilder(java.lang.Object obj,
                                                      boolean isColumn,
                                                      java.lang.String action)

  Launch the expression builder